FAQ
Hi, all,

I use puppet enterprise VM (pe 3.0) with dashboard (version 2.0 built-in)
to set up my very simple env. but in the master node, when I want to check
the 'rake' API, I failed with '-bash: rake: command not found'. And I also
see that the 'gem' command failed. but in fact rubygem is installed (I
guess so.and check with "rpm -q -a |grep ruby " to see something as
follows:)

ruby-libs-1.8.5-19.el5_6.1
pe-ruby-mysql-2.7.3-7.pe.el5
pe-rubygems-1.5.3-1.pe.el5
pe-rubygem-rack-1.1.3-1.pe.el5
pe-rubygem-dalli-1.1.2-0.1.pe.el5
pe-rubygem-builder-3.0.0-1.pe.el5
pe-rubygem-mime-types-1.16-1.pe.el5
pe-rubygem-nokogiri-1.5.0-3.pe.el5
pe-rubygem-trollop-1.16.2-1.pe.el5
pe-rubygem-hiera-puppet-0.3.0-1.pe.el5
ruby-1.8.5-19.el5_6.1
pe-ruby-libs-1.8.7.370-1.pe.el5
pe-ruby-rdoc-1.8.7.370-1.pe.el5
pe-rubygem-stomp-1.1.9-3.pe.el5
pe-rubygem-ar-extensions-0.9.5-2.pe.el5
pe-rubygem-tilt-1.3.3-0.2.pe.el5
pe-rubygem-activerecord-2.3.14-2.pe.el5
pe-rubygem-excon-0.14.1-1.pe.el5
pe-rubygem-guid-0.1.1-1.pe.el5
pe-rubygem-multi-json-1.0.3-1.pe.el5
pe-rubygem-net-scp-1.0.4-1.pe.el5
pe-rubygem-rbvmomi-1.3.0-1.pe.el5
pe-rubygem-fog-1.5.0-1.pe.el5
pe-ruby-shadow-1.4.1-8.pe.el5
pe-rubygem-hiera-0.3.0-333.pe.el5
pe-ruby-augeas-0.4.1-1.pe.el5
pe-ruby-ri-1.8.7.370-1.pe.el5
pe-rubygem-json-1.7.5-1.pe.el5
pe-ruby-1.8.7.370-1.pe.el5
pe-ruby-irb-1.8.7.370-1.pe.el5
pe-rubygem-rake-0.8.7-3.pe.el5
pe-rubygem-sinatra-1.2.6-0.2.pe.el5
pe-rubygem-activesupport-2.3.14-1.pe.el5
pe-rubygem-formatador-0.2.0-1.pe.el5
pe-rubygem-net-ssh-2.1.4-1.pe.el5
pe-rubygem-ruby-hmac-0.4.0-1.pe.el5
pe-ruby-ldap-0.9.8-5.pe.el5
pe-rubygem-stomp-doc-1.1.9-3.pe.el5

so, howI set up a complete env to get the 'rake' work ?
\
thanks in advanced

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Justin Stoller at Jul 10, 2013 at 4:15 pm

    On Wed, Jul 10, 2013 at 2:15 AM, Wen Andes wrote:

    Hi, all,

    I use puppet enterprise VM (pe 3.0) with dashboard (version 2.0 built-in)
    to set up my very simple env. but in the master node, when I want to check
    the 'rake' API, I failed with '-bash: rake: command not found'. And I also
    see that the 'gem' command failed. but in fact rubygem is installed (I
    guess so.and check with "rpm -q -a |grep ruby " to see something as
    follows:)

    ruby-libs-1.8.5-19.el5_6.1
    pe-ruby-mysql-2.7.3-7.pe.el5
    pe-rubygems-1.5.3-1.pe.el5
    pe-rubygem-rack-1.1.3-1.pe.el5
    pe-rubygem-dalli-1.1.2-0.1.pe.el5
    pe-rubygem-builder-3.0.0-1.pe.el5
    pe-rubygem-mime-types-1.16-1.pe.el5
    pe-rubygem-nokogiri-1.5.0-3.pe.el5
    pe-rubygem-trollop-1.16.2-1.pe.el5
    pe-rubygem-hiera-puppet-0.3.0-1.pe.el5
    ruby-1.8.5-19.el5_6.1
    pe-ruby-libs-1.8.7.370-1.pe.el5
    pe-ruby-rdoc-1.8.7.370-1.pe.el5
    pe-rubygem-stomp-1.1.9-3.pe.el5
    pe-rubygem-ar-extensions-0.9.5-2.pe.el5
    pe-rubygem-tilt-1.3.3-0.2.pe.el5
    pe-rubygem-activerecord-2.3.14-2.pe.el5
    pe-rubygem-excon-0.14.1-1.pe.el5
    pe-rubygem-guid-0.1.1-1.pe.el5
    pe-rubygem-multi-json-1.0.3-1.pe.el5
    pe-rubygem-net-scp-1.0.4-1.pe.el5
    pe-rubygem-rbvmomi-1.3.0-1.pe.el5
    pe-rubygem-fog-1.5.0-1.pe.el5
    pe-ruby-shadow-1.4.1-8.pe.el5
    pe-rubygem-hiera-0.3.0-333.pe.el5
    pe-ruby-augeas-0.4.1-1.pe.el5
    pe-ruby-ri-1.8.7.370-1.pe.el5
    pe-rubygem-json-1.7.5-1.pe.el5
    pe-ruby-1.8.7.370-1.pe.el5
    pe-ruby-irb-1.8.7.370-1.pe.el5
    pe-rubygem-rake-0.8.7-3.pe.el5
    pe-rubygem-sinatra-1.2.6-0.2.pe.el5
    pe-rubygem-activesupport-2.3.14-1.pe.el5
    pe-rubygem-formatador-0.2.0-1.pe.el5
    pe-rubygem-net-ssh-2.1.4-1.pe.el5
    pe-rubygem-ruby-hmac-0.4.0-1.pe.el5
    pe-ruby-ldap-0.9.8-5.pe.el5
    pe-rubygem-stomp-doc-1.1.9-3.pe.el5

    so, howI set up a complete env to get the 'rake' work ?
    \
    thanks in advanced
    Rake and Gem are not added to the path automatically. You can find them in
    /opt/puppet/bin if you need them however.

    HTH,
    Justin
    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.



    --

    Join us at PuppetConf 2013, August 22-23 in San Francisco -
    http://bit.ly/pupconf13

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedJul 10, '13 at 1:23p
activeJul 10, '13 at 4:15p
posts2
users2
websitepuppetlabs.com

2 users in discussion

Justin Stoller: 1 post Wen Andes: 1 post

People

Translate

site design / logo © 2022 Grokbase